import actionTypes from '../actiontype/common';


const saveCommonInfo = (state,data)=>{
    let keys = Object.keys(data);
    keys.forEach(k=>
    {
        if(state[k]){
            if(typeof data[k] === 'string'){
                state[k] = data[k]
            }else{
                state[k] = Object.assign({},state[k],data[k]);
            }

        }else{
            state[k] = data[k]
        }
    });
    return Object.assign({},state);
};

const emptyCommInfo = (state,data)=>{
    return Object.assign({},state,data)
}

// 传入一个对象   对象中包含currentTaskNum表示大任务
// childTaskNum 表示大任务下的小任务
const NumChangeWord=(obj)=>{
    let arr=[
        {
            title:'散落商品检查',
            children:['1','2']
        },
        {
            title:'核对数量',
            children:['1','2']
        },
        {
            title:'回收区货品回收',
            children:['1','2']
        },
        {
            title:'补货',
            children:['1','2']
        }
    ]
    let name=obj.currentTaskNum;
    let child=obj.childTaskNum?obj.childTaskNum:false;
    switch(name){
        case 1 :
        obj.currentTaskName=arr[name-1].title;
        if(child){
            obj.childTaskNum=arr[name-1].children[child-1]
        }
        break;
        case 2 :
        obj.currentTaskName=arr[name-1].title;
        if(child){
            obj.childTaskNum=arr[name-1].children[child-1]
        }
        break;
        case 3 :
        obj.currentTaskName=arr[name-1].title;
        if(child){
            obj.childTaskNum=arr[name-1].children[child-1]
        }
        break;
        case 4 :
        obj.currentTaskName=arr[name-1].title;
        if(child){
            obj.childTaskNum=arr[name-1].children[child-1]
        }
        break;
    }
      
}
const startalljob= (state,data)=>{
    let info =saveCommonInfo(state,data);
     return info;
}
export default function(state={}, action) {
    switch (action.type) {
        case actionTypes.SAVECOMMONINFO:
            return saveCommonInfo(state,action.data);
        case actionTypes.EMPTYCOMMONINFO:
            return emptyCommInfo(state);
        case actionTypes.STARTALLJOB   :
            return startalljob(state,action.data);
        default:
            return state;
    }
}